Is Yii 2.0 fully compatible with php 7.4?


(Maxim) #1

The question is in the subject. Just wondering if compatibility with 7.4 is tested and guaranteed.


Anyone using Yii2 with PHP 7.3 or 7.4? Any issues?
(Alexander Makarov) #2

Yii 2 has 71% unit test coverage. I’ve launched tests on travis so we’ll see if it’s fine soon:

https://travis-ci.org/yiisoft/yii2/builds/619055883

If it’s not that would be a priority thing for the next Yii 2 release and releases nowadays are about one in two weeks.


(Alexander Makarov) #3

Here we go: https://github.com/yiisoft/yii2/issues/17698